package tool

import (
	"os"

	"github.com/gookit/goutil/fsutil"
	"github.com/huandu/xstrings"
	"github.com/spf13/cast"
	funk "github.com/thoas/go-funk"
)

var (
	ErrorCheck = Asset
	IsDir      = fsutil.IsDir
	PWD        = os.Getwd
	TempDir    = os.TempDir
	ToString   = cast.ToString
	Map        = funk.Map
	Reverse    = xstrings.Reverse
	WordCount  = xstrings.WordCount
)

func Asset(err error) {
	if err != nil {
		panic(err)
	}
}

// Exist check if the file with the given path exits.
func Exist(path string) bool {
	fi, err := os.Lstat(path)
	if fi != nil || (err != nil && !os.IsNotExist(err)) {
		return true
	}

	return false
}
